# config/packages/lexik_jwt_authentication.yaml
lexik_jwt_authentication:
    secret_key: '%env(resolve:JWT_SECRET_KEY)%'
    public_key: '%env(resolve:JWT_PUBLIC_KEY)%'
    pass_phrase: '%env(JWT_PASSPHRASE)%'
    token_ttl: 86400  # Durée de vie du token (1 heure)
    # Autres options possibles :
    # encoder_service: 'lexik_jwt_authentication.encoder.lcobucci'  # Default encoder
    # token_extractors:
    #     authorization_header:  # Extrait le token depuis le header Authorization
    #         enabled: true
    #         prefix: 'Bearer'
    #         name: 'Authorization'
